<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ExcelStyleDateFormatter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExcelStyleDateFormatter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExcelStyleDateFormatter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ExcelNumberFormat.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html" target="_top">Frames</a>
        </li>
        <li><a href="ExcelStyleDateFormatter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.java.text.DateFormat">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Class ExcelStyleDateFormatter" class="title">Class ExcelStyleDateFormatter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.text.Format</li>
                <li>
                    <ul class="inheritance">
                        <li>java.text.DateFormat</li>
                        <li>
                            <ul class="inheritance">
                                <li>java.text.SimpleDateFormat</li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.ss.usermodel.ExcelStyleDateFormatter</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">ExcelStyleDateFormatter</span>
extends java.text.SimpleDateFormat</pre>
                <div class="block">A wrapper around a <code>SimpleDateFormat</code> instance,
                    which handles a few Excel-style extensions that
                    are not supported by <code>SimpleDateFormat</code>.
                    Currently, the extensions are around the handling
                    of elapsed time, eg rendering 1 day 2 hours
                    as 26 hours.
                </div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd>
                        <a href="../../../../../serialized-form.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter">Serialized
                            Form</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a name="nested.classes.inherited.from.class.java.text.DateFormat">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;java.text.DateFormat</h3>
                                <code>java.text.DateFormat.Field</code></li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#H_BRACKET_SYMBOL">H_BRACKET_SYMBOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#HH_BRACKET_SYMBOL">HH_BRACKET_SYMBOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#L_BRACKET_SYMBOL">L_BRACKET_SYMBOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#LL_BRACKET_SYMBOL">LL_BRACKET_SYMBOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#M_BRACKET_SYMBOL">M_BRACKET_SYMBOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#MM_BRACKET_SYMBOL">MM_BRACKET_SYMBOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#MMMMM_START_SYMBOL">MMMMM_START_SYMBOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#MMMMM_TRUNCATE_SYMBOL">MMMMM_TRUNCATE_SYMBOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#S_BRACKET_SYMBOL">S_BRACKET_SYMBOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#SS_BRACKET_SYMBOL">SS_BRACKET_SYMBOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="fields.inherited.from.class.java.text.DateFormat">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;java.text.DateFormat</h3>
                                <code>AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD,
                                    DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD,
                                    HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD,
                                    MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD,
                                    WEEK_OF_YEAR_FIELD, YEAR_FIELD</code></li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#ExcelStyleDateFormatter-java.lang.String-">ExcelStyleDateFormatter</a></span>(java.lang.String&nbsp;pattern)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#ExcelStyleDateFormatter-java.lang.String-java.text.DateFormatSymbols-">ExcelStyleDateFormatter</a></span>(java.lang.String&nbsp;pattern,
                                    java.text.DateFormatSymbols&nbsp;formatSymbols)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#ExcelStyleDateFormatter-java.lang.String-java.util.Locale-">ExcelStyleDateFormatter</a></span>(java.lang.String&nbsp;pattern,
                                    java.util.Locale&nbsp;locale)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.StringBuffer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#format-java.util.Date-java.lang.StringBuffer-java.text.FieldPosition-">format</a></span>(java.util.Date&nbsp;date,
                                    java.lang.StringBuffer&nbsp;paramStringBuffer,
                                    java.text.FieldPosition&nbsp;paramFieldPosition)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html#setDateToBeFormatted-double-">setDateToBeFormatted</a></span>(double&nbsp;date)</code>
                                    <div class="block">Used to let us know what the date being
                                        formatted is, in Excel terms, which we
                                        may wish to use when handling elapsed
                                        times.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.text.SimpleDateFormat">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.text.SimpleDateFormat</h3>
                                <code>applyLocalizedPattern, applyPattern, clone, formatToCharacterIterator,
                                    get2DigitYearStart, getDateFormatSymbols, parse, set2DigitYearStart,
                                    setDateFormatSymbols, toLocalizedPattern, toPattern</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.text.DateFormat">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.text.DateFormat</h3>
                                <code>format, format, getAvailableLocales, getCalendar, getDateInstance,
                                    getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance,
                                    getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance,
                                    getTimeInstance, getTimeZone, isLenient, parse, parseObject, setCalendar,
                                    setLenient, setNumberFormat, setTimeZone</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.text.Format">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.text.Format</h3>
                                <code>format, parseObject</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="MMMMM_START_SYMBOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MMMMM_START_SYMBOL</h4>
                                <pre>public static final&nbsp;char MMMMM_START_SYMBOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter.MMMMM_START_SYMBOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MMMMM_TRUNCATE_SYMBOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MMMMM_TRUNCATE_SYMBOL</h4>
                                <pre>public static final&nbsp;char MMMMM_TRUNCATE_SYMBOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter.MMMMM_TRUNCATE_SYMBOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="H_BRACKET_SYMBOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>H_BRACKET_SYMBOL</h4>
                                <pre>public static final&nbsp;char H_BRACKET_SYMBOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter.H_BRACKET_SYMBOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HH_BRACKET_SYMBOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HH_BRACKET_SYMBOL</h4>
                                <pre>public static final&nbsp;char HH_BRACKET_SYMBOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter.HH_BRACKET_SYMBOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="M_BRACKET_SYMBOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>M_BRACKET_SYMBOL</h4>
                                <pre>public static final&nbsp;char M_BRACKET_SYMBOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter.M_BRACKET_SYMBOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MM_BRACKET_SYMBOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MM_BRACKET_SYMBOL</h4>
                                <pre>public static final&nbsp;char MM_BRACKET_SYMBOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter.MM_BRACKET_SYMBOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="S_BRACKET_SYMBOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>S_BRACKET_SYMBOL</h4>
                                <pre>public static final&nbsp;char S_BRACKET_SYMBOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter.S_BRACKET_SYMBOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="SS_BRACKET_SYMBOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SS_BRACKET_SYMBOL</h4>
                                <pre>public static final&nbsp;char SS_BRACKET_SYMBOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter.SS_BRACKET_SYMBOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="L_BRACKET_SYMBOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>L_BRACKET_SYMBOL</h4>
                                <pre>public static final&nbsp;char L_BRACKET_SYMBOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter.L_BRACKET_SYMBOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LL_BRACKET_SYMBOL">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>LL_BRACKET_SYMBOL</h4>
                                <pre>public static final&nbsp;char LL_BRACKET_SYMBOL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.usermodel.ExcelStyleDateFormatter.LL_BRACKET_SYMBOL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ExcelStyleDateFormatter-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ExcelStyleDateFormatter</h4>
                                <pre>public&nbsp;ExcelStyleDateFormatter(java.lang.String&nbsp;pattern)</pre>
                            </li>
                        </ul>
                        <a name="ExcelStyleDateFormatter-java.lang.String-java.text.DateFormatSymbols-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ExcelStyleDateFormatter</h4>
                                <pre>public&nbsp;ExcelStyleDateFormatter(java.lang.String&nbsp;pattern,
                               java.text.DateFormatSymbols&nbsp;formatSymbols)</pre>
                            </li>
                        </ul>
                        <a name="ExcelStyleDateFormatter-java.lang.String-java.util.Locale-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ExcelStyleDateFormatter</h4>
                                <pre>public&nbsp;ExcelStyleDateFormatter(java.lang.String&nbsp;pattern,
                               java.util.Locale&nbsp;locale)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setDateToBeFormatted-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDateToBeFormatted</h4>
                                <pre>public&nbsp;void&nbsp;setDateToBeFormatted(double&nbsp;date)</pre>
                                <div class="block">Used to let us know what the date being
                                    formatted is, in Excel terms, which we
                                    may wish to use when handling elapsed
                                    times.
                                </div>
                            </li>
                        </ul>
                        <a name="format-java.util.Date-java.lang.StringBuffer-java.text.FieldPosition-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>format</h4>
                                <pre>public&nbsp;java.lang.StringBuffer&nbsp;format(java.util.Date&nbsp;date,
                                     java.lang.StringBuffer&nbsp;paramStringBuffer,
                                     java.text.FieldPosition&nbsp;paramFieldPosition)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>format</code>&nbsp;in class&nbsp;<code>java.text.SimpleDateFormat</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.text.SimpleDateFormat</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.text.SimpleDateFormat</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExcelStyleDateFormatter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ExcelNumberFormat.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html" target="_top">Frames</a>
        </li>
        <li><a href="ExcelStyleDateFormatter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.java.text.DateFormat">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
